Subject: Re: [PATCH net-next RFC 00/20] Introducing P4TC

From: Jakub Kicinski <[email-masked]>
Date: Tue, 31 Jan 2023 14:36:23 -0800

On Tue, 31 Jan 2023 17:32:52 -0500 Jamal Hadi Salim wrote:
> > > Sorry didnt finish my thought here, wanted to say: The loading of the
> > > P4 binary over devlink drew (to some people) suspicion it is going to
> > > be used for loading kernel bypass.  
> >
> > The only practical use case I heard was the IPU. Worrying about devlink
> > programming being a bypass on an IPU is like rearranging chairs on the
> > Titanic.  
> 
> BTW, I do believe FNICs are heading in that direction as well.
> I didnt quiet follow the titanic chairs analogy, can you elaborate on
> that statement?

https://en.wiktionary.org/wiki/rearrange_the_deck_chairs_on_the_Titanic